> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start review



## OpenAPI

````yaml /openapi.json post /api/v1/reviews
openapi: 3.1.0
info:
  title: Capy API
  version: 1.0.0
  description: Programmatic access to Capy's agent platform.
servers:
  - url: https://api.capy.ai
security:
  - bearerAuth: []
tags:
  - name: threads
  - name: tasks
  - name: messages
  - name: reviews
  - name: usage
paths:
  /api/v1/reviews:
    post:
      tags:
        - reviews
      summary: Start review
      operationId: reviews.start
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartReviewRequest'
        required: true
      responses:
        '200':
          description: ReviewStarted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewStarted'
        '401':
          description: capy/Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_Unauthorized'
        '402':
          description: capy/PaidFeatureUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_PaidFeatureUnavailable'
        '422':
          description: capy/ReviewRefused
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_ReviewRefused'
        '503':
          description: capy/BillingAuthorityUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_BillingAuthorityUnavailable'
      security:
        - bearerAuth: []
components:
  schemas:
    StartReviewRequest:
      type: object
      properties:
        repo:
          type: string
        prNumber:
          type: integer
        idempotencyKey:
          type: string
          allOf:
            - minLength: 1
            - maxLength: 191
        forceRefresh:
          type: boolean
        sourceThreadId:
          type: string
        model:
          type: string
        effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
            - max
      required:
        - repo
        - prNumber
      additionalProperties: false
    ReviewStarted:
      type: object
      properties:
        reviewId:
          type: string
        requestId:
          type: string
        threadId:
          type: string
        headSha:
          type: string
        adopted:
          type: boolean
        sourceRecorded:
          type: boolean
      required:
        - reviewId
        - requestId
        - threadId
        - headSha
        - adopted
      additionalProperties: false
    capy_Unauthorized:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Unauthorized
      required:
        - _tag
      additionalProperties: false
    capy_PaidFeatureUnavailable:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/PaidFeatureUnavailable
        feature:
          type: string
          enum:
            - bigguy
      required:
        - _tag
        - feature
      additionalProperties: false
    capy_ReviewRefused:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/ReviewRefused
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    capy_BillingAuthorityUnavailable:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/BillingAuthorityUnavailable
      required:
        - _tag
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Capy API key
      description: An API key created in Capy under Settings → API.

````